Skip to main content
GET
/
v2
/
transcription
Get transcription jobs based on query parameters
curl --request GET \
  --url https://api.gladia.io/v2/transcription \
  --header 'x-gladia-key: <api-key>'
import requests

url = "https://api.gladia.io/v2/transcription"

headers = {"x-gladia-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-gladia-key': '<api-key>'}};

fetch('https://api.gladia.io/v2/transcription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "first": "https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20",
  "current": "https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20",
  "next": "https://api.gladia.io/v2/transcription?status=done&offset=20&limit=20",
  "items": "<unknown>"
}
{
"timestamp": "2023-12-28T09:04:17.210Z",
"path": "/v2/transcription/45463597-20b7-4af7-b3b3-f5fb778203ab",
"request_id": "G-821fe9df",
"statusCode": 401,
"message": "gladia key not found"
}

Authorizations

x-gladia-key
string
header
required

Your personal Gladia API key

Query Parameters

offset
integer
default:0

The starting point for pagination. A value of 0 starts from the first item.

Required range: x >= 0
limit
integer
default:20

The maximum number of items to return. Useful for pagination and controlling data payload size.

Required range: x >= 1
date
string<date-time>

Filter items relevant to a specific date in ISO format (YYYY-MM-DD).

Example:

"2026-07-10"

before_date
string<date-time>

Include items that occurred before the specified date in ISO format.

Example:

"2026-07-10T13:51:13.339Z"

after_date
string<date-time>

Filter for items after the specified date. Use with before_date for a range. Date in ISO format.

Example:

"2026-07-10T13:51:13.339Z"

status
enum<string>[]

Filter the list based on item status. Accepts multiple values from the predefined list.

Available options:
queued,
processing,
done,
error
Example:
["done"]
custom_metadata
object
Example:
{ "user": "John Doe" }
kind
enum<string>[]

Filter the list based on the item type. Supports multiple values from the predefined list.

Available options:
pre-recorded,
live
Example:
["pre-recorded"]

Response

A list of transcription jobs matching the parameters.

first
string<uri>
required

URL to fetch the first page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20"

current
string<uri>
required

URL to fetch the current page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=0&limit=20"

next
string<uri> | null
required

URL to fetch the next page

Example:

"https://api.gladia.io/v2/transcription?status=done&offset=20&limit=20"

items
any
required